# Boss Rush
Adds a new Boss Rush gamemode.
Fight every boss level in sequence, then do it again but harder.
Each lap increases difficulty using radiance, which can be tuned in the mod config.

## Hardcore Mode
Hardcore mode will restart you back to the very beginning if you die, so be careful.

<details>
  <summary>Changelog 1.1.0</summary>

- Added endscreen when dying on hardcore
- Added Discord RPC support
- Hardcore mode can now be played on any difficulty
- Added Highscores
- Highscores will track on a completed lap
- Added author links and version checking

</details>

_______________________________________________________________________________________________________________________________________
**Rush Stats**
_______________________________________________________________________________________________________________________________________

![ImagePreview](https://cdn.discordapp.com/attachments/432329547023908884/1089938966314229850/statsui.PNG)

______________________________________________________________________________________________
# If you're feeling generous ;)
______________________________________________________________________________________________
[![Kofi](https://uploads-ssl.webflow.com/5c14e387dab576fe667689cf/61e11d503cc13747866d338b_Button-2.png)](https://ko-fi.com/hydraxous)

_______________________________________________________________________________________________________________________________________
**Installation**
_______________________________________________________________________________________________________________________________________
1. Download and install **BepinEx**, Tutorial [here](https://www.youtube.com/watch?v=meNiXcbPh_s)
2. Install HydraDynamics [here](https://hyperworld.org/downloads/mods/lib/hydradynamics/Hydraxous-HydraDynamics-1.1.0.zip) and put HydraDynamics.dll into BepInEx/plugins/
2. Place BossRush.dll into **BepinEx/plugins**
3. Enjoy!
